summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
Diffstat (limited to 'testing')
-rw-r--r--testing/check/APKBUILD33
-rw-r--r--testing/cowpatty/APKBUILD31
-rw-r--r--testing/jhead/APKBUILD41
-rw-r--r--testing/jhead/makefile-destdir.patch17
-rw-r--r--testing/libasyncns/APKBUILD33
-rw-r--r--testing/libgsasl/APKBUILD37
-rw-r--r--testing/libgss/APKBUILD36
-rw-r--r--testing/loudmouth/01-fix-sasl-md5-digest-uri.patch25
-rw-r--r--testing/loudmouth/03-drop-stanzas-on-fail.patch46
-rw-r--r--testing/loudmouth/04-use-pkg-config-for-gnutls.patch24
-rw-r--r--testing/loudmouth/APKBUILD55
-rw-r--r--testing/mcabber/APKBUILD55
-rw-r--r--testing/ms-sys/APKBUILD32
-rw-r--r--testing/nfswatch/APKBUILD41
-rw-r--r--testing/nfswatch/bb-gzip.patch20
-rw-r--r--testing/nwipe/APKBUILD36
-rw-r--r--testing/partclone/APKBUILD10
-rw-r--r--testing/passwdgen/APKBUILD33
-rw-r--r--testing/pwbunny/APKBUILD28
-rw-r--r--testing/sipp/APKBUILD30
-rw-r--r--testing/unpaper/APKBUILD29
-rw-r--r--testing/wbox/APKBUILD28
22 files changed, 715 insertions, 5 deletions
diff --git a/testing/check/APKBUILD b/testing/check/APKBUILD
new file mode 100644
index 000000000..a5d2e2f17
--- /dev/null
+++ b/testing/check/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=check
+pkgver=0.9.8
+pkgrel=0
+pkgdesc="A unit test framework for C"
+url="http://check.sourceforge.net/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/check/check-$pkgver.tar.gz"
+_builddir="$srcdir"/check-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5d75e9a6027cde79d2c339ef261e7470 check-0.9.8.tar.gz"
diff --git a/testing/cowpatty/APKBUILD b/testing/cowpatty/APKBUILD
new file mode 100644
index 000000000..198533fe9
--- /dev/null
+++ b/testing/cowpatty/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=cowpatty
+pkgver=4.3
+pkgrel=0
+pkgdesc="Attacking WPA/WPA2-PSK exchanges"
+url="http://www.willhackforsushi.com/Cowpatty.html"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev openssl-dev"
+install=""
+subpackages=""
+source="http://www.willhackforsushi.com/code/$pkgname/$pkgver/$pkgname-$pkgver.tgz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D "$_builddir"/$pkgname \
+ "$pkgdir"/usr/bin/$pkgname || return 1
+ install -m755 -D "$_builddir"/genpmk \
+ "$pkgdir"/usr/bin/genpmk || return 1
+}
+
+md5sums="deccac0763a05ef7014107d347bf9190 cowpatty-4.3.tgz"
diff --git a/testing/jhead/APKBUILD b/testing/jhead/APKBUILD
new file mode 100644
index 000000000..961b59d6c
--- /dev/null
+++ b/testing/jhead/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=jhead
+pkgver=2.93
+pkgrel=0
+pkgdesc="An Exif jpeg header manipulation tool"
+url="http://www.sentex.net/~mwandel/jhead/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://www.sentex.net/~mwandel/$pkgname/$pkgname-$pkgver.tar.gz
+ makefile-destdir.patch"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="23ac51b4aea2df663d684744e282eb7d jhead-2.93.tar.gz
+c0daea2a99f121ea84adb2fce47e0a4e makefile-destdir.patch"
diff --git a/testing/jhead/makefile-destdir.patch b/testing/jhead/makefile-destdir.patch
new file mode 100644
index 000000000..d9c5b1a0b
--- /dev/null
+++ b/testing/jhead/makefile-destdir.patch
@@ -0,0 +1,17 @@
+--- jhead-2.93/makefile
++++ jhead-2.93/makefile.new
+@@ -4,6 +4,7 @@
+ OBJ=.
+ SRC=.
+ CFLAGS= -O3 -Wall
++prefix= /usr
+
+ all: jhead
+
+@@ -20,4 +21,5 @@
+ rm -f $(objs) jhead
+
+ install:
+- cp jhead ${DESTDIR}/usr/local/bin/
++ install -Dp -m 0755 jhead $(DESTDIR)$(prefix)/bin/jhead
++ install -m644 -D jhead.1 $(DESTDIR)$(prefix)/share/man/man1/jhead.1
diff --git a/testing/libasyncns/APKBUILD b/testing/libasyncns/APKBUILD
new file mode 100644
index 000000000..edb57b1de
--- /dev/null
+++ b/testing/libasyncns/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=libasyncns
+pkgver=0.8
+pkgrel=0
+pkgdesc="Asynchronous Name Service Library"
+url="http://0pointer.de/lennart/projects/libasyncns/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://0pointer.de/lennart/projects/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="1f553d6ce1ad255bc83b3d8e9384f515 libasyncns-0.8.tar.gz"
diff --git a/testing/libgsasl/APKBUILD b/testing/libgsasl/APKBUILD
new file mode 100644
index 000000000..0f62b723a
--- /dev/null
+++ b/testing/libgsasl/APKBUILD
@@ -0,0 +1,37 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=libgsasl
+pkgver=1.6.1
+pkgrel=0
+pkgdesc="An implementation of the Simple Authentication and Security Layer framework"
+url="http://www.gnu.org/software/gsasl/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev gettext libidn-dev libgss-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="ftp://ftp.gnu.org/gnu/gsasl/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make tests || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="143ab88d06a5217915e6b649d7ffc018 libgsasl-1.6.1.tar.gz"
diff --git a/testing/libgss/APKBUILD b/testing/libgss/APKBUILD
new file mode 100644
index 000000000..887eef0e8
--- /dev/null
+++ b/testing/libgss/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=libgss
+pkgver=0.1.5
+pkgrel=0
+pkgdesc="An implementation of the Generic Security Service Application Program Interface"
+url="http://www.gnu.org/software/gss/"
+arch="all"
+license="GPL3+"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev gettext valgrind-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="ftp://alpha.gnu.org/gnu/gss/gss-$pkgver.tar.gz"
+_builddir="$srcdir"/gss-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make tests || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="d65431dd4dd35cfb8f4433b41ff75fbc gss-0.1.5.tar.gz"
diff --git a/testing/loudmouth/01-fix-sasl-md5-digest-uri.patch b/testing/loudmouth/01-fix-sasl-md5-digest-uri.patch
new file mode 100644
index 000000000..872d93553
--- /dev/null
+++ b/testing/loudmouth/01-fix-sasl-md5-digest-uri.patch
@@ -0,0 +1,25 @@
+diff --git a/loudmouth/lm-connection.c b/loudmouth/lm-connection.c
+index 21c1bc2..ae8de94 100644
+--- a/loudmouth/lm-connection.c
++++ b/loudmouth/lm-connection.c
+@@ -1441,11 +1441,18 @@ lm_connection_authenticate (LmConnection *connection,
+ connection->effective_jid = g_strdup_printf ("%s/%s",
+ connection->jid, connection->resource);
+
+ if (connection->use_sasl) {
++ gchar *domain = NULL;
++
++ if (!connection_get_server_from_jid (connection->jid, &domain)) {
++ domain = g_strdup (connection->server);
++ }
++
+ lm_sasl_authenticate (connection->sasl,
+ username, password,
+- connection->server,
++ domain,
+ connection_sasl_auth_finished);
++ g_free (domain);
+
+ connection->features_cb =
+ lm_message_handler_new (connection_features_cb,
+
diff --git a/testing/loudmouth/03-drop-stanzas-on-fail.patch b/testing/loudmouth/03-drop-stanzas-on-fail.patch
new file mode 100644
index 000000000..05f4248de
--- /dev/null
+++ b/testing/loudmouth/03-drop-stanzas-on-fail.patch
@@ -0,0 +1,46 @@
+From: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
+Date: Tue, 13 Jan 2009 11:28:44 +0000
+Subject: [PATCH] Drop stanzas when failing to convert them to LmMessages
+
+when a stanza comes in that for some reason can't be parsed into an LmMessage,
+just drop them on the floor instead of blocking the parser. I've seen this
+issue happen in practise because some (buggy?) client sending an iq with a
+prefix e.g. <client:iq xmlns:client="jabber:client" ... />
+---
+ loudmouth/lm-parser.c | 15 ++++++---------
+ 1 files changed, 6 insertions(+), 9 deletions(-)
+
+diff --git a/loudmouth/lm-parser.c b/loudmouth/lm-parser.c
+index 1938d56..89f6675 100644
+--- a/loudmouth/lm-parser.c
++++ b/loudmouth/lm-parser.c
+@@ -151,19 +151,16 @@ parser_end_node_cb (GMarkupParseContext *context,
+ if (!m) {
+ g_warning ("Couldn't create message: %s\n",
+ parser->cur_root->name);
+- return;
+- }
+-
+- g_log (LM_LOG_DOMAIN, LM_LOG_LEVEL_PARSER,
++ } else {
++ g_log (LM_LOG_DOMAIN, LM_LOG_LEVEL_PARSER,
+ "Have a new message\n");
+- if (parser->function) {
+- (* parser->function) (parser, m, parser->user_data);
++ if (parser->function) {
++ (* parser->function) (parser, m, parser->user_data);
++ }
++ lm_message_unref (m);
+ }
+
+- lm_message_unref (m);
+ lm_message_node_unref (parser->cur_root);
+-
+-
+ parser->cur_node = parser->cur_root = NULL;
+ } else {
+ LmMessageNode *tmp_node;
+--
+1.5.6.5
+
+
diff --git a/testing/loudmouth/04-use-pkg-config-for-gnutls.patch b/testing/loudmouth/04-use-pkg-config-for-gnutls.patch
new file mode 100644
index 000000000..eecd41987
--- /dev/null
+++ b/testing/loudmouth/04-use-pkg-config-for-gnutls.patch
@@ -0,0 +1,24 @@
+Description: use pkg-config to detect gnutls
+Debian: http://bugs.debian.org/529835
+Origin: http://groups.google.com/group/loudmouth-dev/browse_thread/thread/3f78255837048daf#
+
+--- a/configure.ac.orig 2009-08-16 20:29:36.000000000 +0200
++++ b/configure.ac 2009-08-16 20:30:43.000000000 +0200
+@@ -146,10 +146,12 @@ AC_ARG_WITH(openssl-libs,
+ enable_ssl=no
+ if test "x$ac_ssl" = "xgnutls"; then
+ dnl Look for GnuTLS
+- AM_PATH_LM_LIBGNUTLS($GNUTLS_REQUIRED, have_libgnutls=yes, have_libgnutls=no)
+- if test "x$have_libgnutls" = "xyes"; then
+- CFLAGS="$CFLAGS $LIBGNUTLS_CFLAGS"
+- LIBS="$LIBS $LIBGNUTLS_LIBS"
++ PKG_CHECK_MODULES(GNUTLS, gnutls >= $GNUTLS_REQUIRED, have_gnutls=yes, have_gnutls=no)
++ if test "x$have_gnutls" = "xyes"; then
++ AC_SUBST(ASYNCNS_CFLAGS)
++ AC_SUBST(ASYNCNS_LIBS)
++ CFLAGS="$CFLAGS $GNUTLS_CFLAGS"
++ LIBS="$LIBS $GNUTLS_LIBS"
+ AC_DEFINE(HAVE_GNUTLS, 1, [whether to use GnuTSL support.])
+ enable_ssl=GnuTLS
+ else
+
diff --git a/testing/loudmouth/APKBUILD b/testing/loudmouth/APKBUILD
new file mode 100644
index 000000000..3dbb7eb71
--- /dev/null
+++ b/testing/loudmouth/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=loudmouth
+pkgver=1.4.3
+pkgrel=0
+pkgdesc="A lightweight Jabber client library"
+url="http://groups.google.com/group/loudmouth-dev"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev glib-dev gnutls-dev libidn-dev libasyncns-dev"
+#libasyncns-dev
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.4/${pkgname}-${pkgver}.tar.bz2
+ 01-fix-sasl-md5-digest-uri.patch
+ 03-drop-stanzas-on-fail.patch
+ 04-use-pkg-config-for-gnutls.patch"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --with-asyncns=yes \
+ --with-ssl=no \
+ --prefix=/usr \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make check || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="55339ca42494690c3942ee1465a96937 loudmouth-1.4.3.tar.bz2
+5a860172e76dc5df8e694602f360ce76 01-fix-sasl-md5-digest-uri.patch
+d0f34028837b7ff93262373ac3d4dd59 03-drop-stanzas-on-fail.patch
+2cfb0ef5c32c9bd377e3abb6ad38135a 04-use-pkg-config-for-gnutls.patch"
diff --git a/testing/mcabber/APKBUILD b/testing/mcabber/APKBUILD
new file mode 100644
index 000000000..301ff05c6
--- /dev/null
+++ b/testing/mcabber/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=mcabber
+pkgver=0.10.1
+pkgrel=0
+pkgdesc="A small Jabber console client"
+url="http://www.lilotux.net/~mikael/mcabber/"
+arch="all"
+license="GPL2+"
+depends="beep"
+depends_dev=""
+options="libtool"
+makedepends=" loudmouth-dev
+ glib-dev
+ ncurses-dev
+ gpgme-dev
+ aspell-dev
+ libotr-dev
+ libidn-dev
+ enchant-dev
+"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-example"
+source="http://mcabber.com/files/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --disable-static \
+ --enable-hgcset \
+ --enable-enchant \
+ --enable-aspell \
+ --enable-otr \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+example() {
+ # Put the example file into a seperate package
+ mkdir -p "$subpkgdir"/usr/share/doc/"$pkgname"/example || return 1
+ mv "$_builddir"/mcabberrc.example \
+ "$subpkgdir"/usr/share/doc/"$pkgname"/mcabberrc.example || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="fe96beab30f535d5d6270fd1719659b4 mcabber-0.10.1.tar.bz2"
diff --git a/testing/ms-sys/APKBUILD b/testing/ms-sys/APKBUILD
new file mode 100644
index 000000000..18b9a22fe
--- /dev/null
+++ b/testing/ms-sys/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=ms-sys
+pkgver=2.2.1
+pkgrel=0
+pkgdesc="A tool for creating Microsoft compatible boot records"
+url="http://ms-sys.sourceforge.net/"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="gettext"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://downloads.sourceforge.net/ms-sys/ms-sys-$pkgver.tar.gz"
+_builddir="$srcdir"/ms-sys-$pkgver
+
+build() {
+ cd "$_builddir"
+ make LDFLAGS="-lintl" || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make \
+ PREFIX="/usr" \
+ MANDIR="/usr/share/man" \
+ DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="659fb46f1b014abe64ae7d635c5bc1f8 ms-sys-2.2.1.tar.gz"
diff --git a/testing/nfswatch/APKBUILD b/testing/nfswatch/APKBUILD
new file mode 100644
index 000000000..926b4cd27
--- /dev/null
+++ b/testing/nfswatch/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=nfswatch
+pkgver=4.99.11
+pkgrel=0
+pkgdesc="An NFS traffic monitoring tool"
+url="http://nfswatch.sourceforge.net/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
+ bb-gzip.patch"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="c1e5f342fab90ef8b9f4ee291cda96cc nfswatch-4.99.11.tar.gz
+ca541c462acfcf58cca91fb0e8b63c63 bb-gzip.patch"
diff --git a/testing/nfswatch/bb-gzip.patch b/testing/nfswatch/bb-gzip.patch
new file mode 100644
index 000000000..fd80bf1b3
--- /dev/null
+++ b/testing/nfswatch/bb-gzip.patch
@@ -0,0 +1,20 @@
+--- Makefile.orig
++++ Makefile
+@@ -184,7 +184,7 @@
+ *.gz) \
+ SUF=`echo $(MANSUF)|sed 's/\.gz//'`; \
+ $(INSTALL) -c -m 0644 nfswatch.8 $(DESTDIR)$(MANDIR)/nfswatch.$$SUF; \
+- gzip --best $(DESTDIR)$(MANDIR)/nfswatch.$$SUF; \
++ gzip $(DESTDIR)$(MANDIR)/nfswatch.$$SUF; \
+ ;; \
+ *) \
+ $(INSTALL) -c -m 0644 nfswatch.8 $(DESTDIR)$(MANDIR)/nfswatch.$(MANSUF); \
+@@ -199,7 +199,7 @@
+ *.gz) \
+ SUF=`echo $(MANSUF)|sed 's/\.gz//'`; \
+ $(INSTALL) -c -m 0644 nfslogsum.8 $(DESTDIR)$(MANDIR)/nfslogsum.$$SUF; \
+- gzip --best $(DESTDIR)$(MANDIR)/nfslogsum.$$SUF; \
++ gzip $(DESTDIR)$(MANDIR)/nfslogsum.$$SUF; \
+ ;; \
+ *) \
+ $(INSTALL) -c -m 0644 nfslogsum.8 $(DESTDIR)$(MANDIR)/nfslogsum.$(MANSUF); \
diff --git a/testing/nwipe/APKBUILD b/testing/nwipe/APKBUILD
new file mode 100644
index 000000000..1f17c878a
--- /dev/null
+++ b/testing/nwipe/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=nwipe
+pkgver=0.05
+pkgrel=0
+pkgdesc="Securely erase disks using a variety of recognized methods"
+url="http://nwipe.sourceforge.net"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="parted-dev ncurses-dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/nwipe/nwipe-$pkgver.tar.gz"
+_builddir="$srcdir"/nwipe-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="f50bfac53e1591c902ed85340ee057d4 nwipe-0.05.tar.gz"
diff --git a/testing/partclone/APKBUILD b/testing/partclone/APKBUILD
index e5a381352..ec56ba81d 100644
--- a/testing/partclone/APKBUILD
+++ b/testing/partclone/APKBUILD
@@ -1,24 +1,24 @@
# Contributor: Leonardo Arena <rnarld@alpinelinux.org>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=partclone
-pkgver=0.2.24
+pkgver=0.2.38
pkgrel=1
pkgdesc="Partition cloning tool"
url="http://partclone.org/"
arch="all"
-license="GPL"
+license="GPL2+"
depends=
makedepends="e2fsprogs-dev ncurses-dev ntfsprogs-dev"
install=""
subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/project/partclone/testing/src/partclone-$pkgver.tar.gz
+source="http://downloads.sourceforge.net/project/partclone/stable/$pkgver/partclone_$pkgver.tar.gz
memtrace.patch"
# TODO:
# libreiserfs: http://reiserfs.linux.kiev.ua
#
-
_builddir="$srcdir"/partclone-$pkgver
+
prepare() {
local i
cd "$_builddir"
@@ -64,5 +64,5 @@ package() {
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="d2856820ed3f92e064fcbda3cd20f94e partclone-0.2.24.tar.gz
+md5sums="8577ac06ad54a829435f272eecedfa14 partclone_0.2.38.tar.gz
83dfb01e5d68795266726826a49a2de8 memtrace.patch"
diff --git a/testing/passwdgen/APKBUILD b/testing/passwdgen/APKBUILD
new file mode 100644
index 000000000..d47fbb2f9
--- /dev/null
+++ b/testing/passwdgen/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=passwdgen
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="A random password generator"
+url="http://code.google.com/p/passwdgen/"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="d1b954610935a26ca257e4fc7c870f1e passwdgen-0.1.2.tar.gz"
diff --git a/testing/pwbunny/APKBUILD b/testing/pwbunny/APKBUILD
new file mode 100644
index 000000000..eed911210
--- /dev/null
+++ b/testing/pwbunny/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=pwbunny
+pkgver=1.1
+pkgrel=0
+pkgdesc="A password manager that stores and retrieves passwords in an encrypted file"
+url="http://code.google.com/p/pwbunny/"
+arch="noarch"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --root="$pkgdir" || return 1
+}
+
+md5sums="07d1145eef28670cd634cf4231bd7508 pwbunny-1.1.tar.gz"
diff --git a/testing/sipp/APKBUILD b/testing/sipp/APKBUILD
new file mode 100644
index 000000000..6e22d4e18
--- /dev/null
+++ b/testing/sipp/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=sipp
+pkgver=3.2
+pkgrel=0
+pkgdesc="A test tool / traffic generator for the SIP protocol"
+url="http://sipp.sourceforge.net/"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends="openssl-dev libpcap-dev ncurses-dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/$pkgname/$pkgname.svn.tar.gz"
+_builddir="$srcdir"/$pkgname.svn
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D "$_builddir"/$pkgname \
+ "$pkgdir"/usr/sbin/$pkgname || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="2a3a60cb4317dcf8eb5482f6a955e4d0 sipp.svn.tar.gz"
diff --git a/testing/unpaper/APKBUILD b/testing/unpaper/APKBUILD
new file mode 100644
index 000000000..860bb3425
--- /dev/null
+++ b/testing/unpaper/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=unpaper
+pkgver=0.3
+pkgrel=0
+pkgdesc="Post-processing scanned and photocopied book pages"
+url="http://unpaper.berlios.de/"
+arch="all"
+license="GPL+"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="http://download.berlios.de/$pkgname/$pkgname-bin-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ gcc $RPM_OPT_FLAGS -o src/unpaper src/unpaper.c -lm || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D "$_builddir"/src/$pkgname \
+ "$pkgdir"/usr/bin/$pkgname || return 1
+}
+
+md5sums="0748137e67fa5796474716a096a82723 unpaper-bin-0.3.tar.gz"
diff --git a/testing/wbox/APKBUILD b/testing/wbox/APKBUILD
new file mode 100644
index 000000000..d32a05d77
--- /dev/null
+++ b/testing/wbox/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=wbox
+pkgver=5
+pkgrel=0
+pkgdesc="HTTP testing tool and configuration-less HTTP server"
+url="http://www.hping.org/wbox/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="http://www.hping.org/wbox/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -m755 -D "$_builddir"/$pkgname "$pkgdir"/usr/bin/$pkgname
+}
+
+md5sums="a95ca2c69982db10704b5ed482c9c722 wbox-5.tar.gz"